diff -U3 -r hsfmodem-old/modules/cdbgscr.c hsfmodem/modules/cdbgscr.c
--- hsfmodem-old/modules/cdbgscr.c	2006-01-13 19:23:50.000000000 +0000
+++ hsfmodem/modules/cdbgscr.c	2006-02-12 08:03:57.000000000 +0000
@@ -69,7 +69,7 @@
 static PDBG_PRINT_FUNC m_pfnServer;
 
 __shimcall__
-BOOL LinuxScrSetEntryPointCallback( PVOID epcbk )
+CXT_BOOL LinuxScrSetEntryPointCallback( PVOID epcbk )
 {
 #if (OS_TYPE == OS_LINUX)
 	m_pfnServer = DBGSRV_Print;
diff -U3 -r hsfmodem-old/modules/cnxthw_common.c hsfmodem/modules/cnxthw_common.c
--- hsfmodem-old/modules/cnxthw_common.c	2006-01-27 12:49:32.000000000 +0000
+++ hsfmodem/modules/cnxthw_common.c	2006-02-12 08:03:56.000000000 +0000
@@ -19,8 +19,8 @@
 	HANDLE hDevMgr, ePmeState PmeState, ePmeState OldPmeState)
 {
     COM_STATUS ret;
-    BOOL enabled = ((OldPmeState == DEVMGR_D0) || (OldPmeState == DEVMGR_QUICK_D0));
-    BOOL enabling = ((PmeState == DEVMGR_D0) || (PmeState == DEVMGR_QUICK_D0));
+    CXT_BOOL enabled = ((OldPmeState == DEVMGR_D0) || (OldPmeState == DEVMGR_QUICK_D0));
+    CXT_BOOL enabling = ((PmeState == DEVMGR_D0) || (PmeState == DEVMGR_QUICK_D0));
 
     //printk(KERN_DEBUG"%s: %d -> %d\n", __FUNCTION__, OldPmeState, PmeState);
 
diff -U3 -r hsfmodem-old/modules/cnxthwpci_common.c hsfmodem/modules/cnxthwpci_common.c
--- hsfmodem-old/modules/cnxthwpci_common.c	2006-01-29 17:59:09.000000000 +0000
+++ hsfmodem/modules/cnxthwpci_common.c	2006-02-12 08:08:51.000000000 +0000
@@ -161,7 +161,7 @@
 		return 0;
 	
 #if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,10)
-	pDevNode->pci_state = (UINT32 *) OsAllocate(64/sizeof(UINT32));
+	pDevNode->pci_state = (CXT_UINT32 *) OsAllocate(64/sizeof(CXT_UINT32));
 	if (!pDevNode->pci_state) return -ENOMEM;
 #endif
  
diff -U3 -r hsfmodem-old/modules/cnxthwusb_common.c hsfmodem/modules/cnxthwusb_common.c
--- hsfmodem-old/modules/cnxthwusb_common.c	2006-01-29 17:59:09.000000000 +0000
+++ hsfmodem/modules/cnxthwusb_common.c	2006-02-12 08:08:51.000000000 +0000
@@ -40,7 +40,7 @@
 #include "cnxthw_common.c"
 
 //#undef dbg
-//#define dbg(format, arg...) { UINT32 dwTime = OsGetSystemTime(); printk(KERN_DEBUG "%07lu.%03lu: "__FILE__ ": " format "\n" , dwTime/1000, dwTime%1000, ## arg); }
+//#define dbg(format, arg...) { CXT_UINT32 dwTime = OsGetSystemTime(); printk(KERN_DEBUG "%07lu.%03lu: "__FILE__ ": " format "\n" , dwTime/1000, dwTime%1000, ## arg); }
 
 #if !TARGET_HCF_FAMILY
 void *GetHwFuncs(void);
diff -U3 -r hsfmodem-old/modules/GPL/serial_cnxt.c hsfmodem/modules/GPL/serial_cnxt.c
--- hsfmodem-old/modules/GPL/serial_cnxt.c	2006-02-07 16:30:11.000000000 +0000
+++ hsfmodem/modules/GPL/serial_cnxt.c	2006-02-12 08:08:30.000000000 +0000
@@ -290,7 +290,7 @@
 cnxt_tx_free(struct cnxt_serial_inst *inst)
 {
     int r;
-    UINT32 val = 0;
+    CXT_UINT32 val = 0;
 
     if ((r=ComCtrl_Monitor(inst->hcomctrl, COMCTRL_MONITOR_TXFREE, &val)) != COM_STATUS_SUCCESS) {
 	printk(KERN_ERR "%s: ComCtrlMonitor COMCTRL_MONITOR_TXFREE failed, status=%d\n", __FUNCTION__, r);
@@ -498,7 +498,7 @@
 
 __shimcall__
 static void
-cnxt_event_handler(struct cnxt_serial_inst *inst, UINT32 dwEvtMask)
+cnxt_event_handler(struct cnxt_serial_inst *inst, CXT_UINT32 dwEvtMask)
 {
     struct uart_port *port = inst->port;
     u_int mctrl_flags, orig_mctrl_flags;
@@ -1167,7 +1167,7 @@
 #if (__GNUC__ == 3 && __GNUC_MINOR__ > 1) || __GNUC__ > 3
 			__shimcall__
 #endif
-			void (*) (PVOID pRef, UINT32 dwEventMask)) cnxt_event_handler;
+			void (*) (PVOID pRef, CXT_UINT32 dwEventMask)) cnxt_event_handler;
     EvtHandler.pRef = inst;
 
     if ((r=ComCtrl_Configure(inst->hcomctrl, COMCTRL_CONFIG_EVENT_HANDLER, &EvtHandler))) {
diff -U3 -r hsfmodem-old/modules/imported/include/cnxt_diag_codes_ex.h hsfmodem/modules/imported/include/cnxt_diag_codes_ex.h
--- hsfmodem-old/modules/imported/include/cnxt_diag_codes_ex.h	2006-02-07 16:43:56.000000000 +0000
+++ hsfmodem/modules/imported/include/cnxt_diag_codes_ex.h	2006-02-12 08:03:58.000000000 +0000
@@ -137,8 +137,8 @@
 		CSDIAG_AGC_MIN						,/*DWORD			dB */
 /*35*/	CSDIAG_AGC_MAX						,/*DWORD			dB */
 		CSDIAG_AGC_LAST						,/*DWORD			dB */
-		CSDIAG_120_HZ_POWER					,/*BOOL				High power level detect in band below 120 Hz */
-		CSDIAG_HIGHPASS_FILTER_ENABLED		,/*BOOL				High Pass filter enabled */
+		CSDIAG_120_HZ_POWER					,/*CXT_BOOL				High power level detect in band below 120 Hz */
+		CSDIAG_HIGHPASS_FILTER_ENABLED		,/*CXT_BOOL				High Pass filter enabled */
 		CSDIAG_HIGHEST_RX_STATE				,/*DWORD			TBD	 */
 /*40*/	CSDIAG_HIGHEST_TX_STATE				,/*DWORD			TBD	 */
 		CSDIAG_MODEM_STATE					,/*DWORD			TBD	 */
@@ -195,12 +195,12 @@
 		CSDIAG_RX_TRELLIS_STATES			,/*INT				Number of trellis states (16, 32, 64), helps distinguish remote modem vendor */
 		CSDIAG_TIME_DTR_TO_HANDSHAKE		,/*DWORD			Time (in milliseconds) from off hook to start of handshake */
 		CSDIAG_TIME_DTR_TO_PROTOCOL			,/*DWORD			Time (in milliseconds) from off hook to start of normal data transfer after protocol negotiation */
-/*95*/	CSDIAG_QC_ENABLED					,/*BOOL				return TRUE if QC is enabled */
+/*95*/	CSDIAG_QC_ENABLED					,/*CXT_BOOL				return TRUE if QC is enabled */
 		CSDIAG_SERVER_TYPE					,/*SERVER_TYPE_INFO V34, V90 or V92 */
 		CSDIAG_INFO0_V92                    ,/* TBD */
 		CSDIAG_QC_SYGNAL_MAP				,/* TBD */
-		CSDIAG_MH_ENABLED					,/*BOOL				return TRUE if MOH is enabled */
-/*100*/	CSDIAG_CID_ENABLED					,/*BOOL				return TRUE if CID is enabled */
+		CSDIAG_MH_ENABLED					,/*CXT_BOOL				return TRUE if MOH is enabled */
+/*100*/	CSDIAG_CID_ENABLED					,/*CXT_BOOL				return TRUE if CID is enabled */
 		CSDIAG_TIME_ON_HOLD					,/*DWORD			Seconds, time spent with the server on hold */
 		CSDIAG_SERVER_HOLD_DURATION			,/*DWORD			seconds, from MHack (which contains maximum server hold time duration) */
 		CSDIAG_MOH_REMOTE_RESPONSE			,/*DIAG_MOH_REMOTE_RESPONSE_T	 */
@@ -210,8 +210,8 @@
 		CSDIAG_MOH_LOCAL_RESPONSE			,/*MOH_LOCAL_DECISION_T */
 		CSDIAG_TIMEOUT_FOR_USER_RESPONSE	,/*DWORD */
 		CSDIAG_NEGOTIATION_TIME				,/*DWORD		  time elapsed between the beginning of the negotiation and the actual monitor */
-/*110*/	CSDIAG_K56_RATES_SUPORTED			,/*BOOL			  TRUE if V90 or FLEX are enabled */
-		CSDIAG_PULSE_DIALING_ENABLED		,/*BOOL			  TRUE if Pulse dialing is enabled in ctry params */
+/*110*/	CSDIAG_K56_RATES_SUPORTED			,/*CXT_BOOL			  TRUE if V90 or FLEX are enabled */
+		CSDIAG_PULSE_DIALING_ENABLED		,/*CXT_BOOL			  TRUE if Pulse dialing is enabled in ctry params */
 		CSDIAG_LAST_DIAL_TYPE				,/*LAST_DIAL_TYPE pulse or tone */
 		CSDIAG_FILTER_COEFFICIENTS			,/*MODEM_FILTER_T */
 		CSDIAG_REMOTE_MSE					,
@@ -219,11 +219,11 @@
 		CSDIAG_REMOTE_RX_SIGNAL_POWER		,
 		CSDIAG_REMOTE_RX_BIT_RATE			,
 		CSDIAG_REMOTE_TX_BIT_RATE			,
-		CSDIAG_CONNECTION_DIRECTION			,/*BOOL (True for originator calls, False for Answer calls)  */
+		CSDIAG_CONNECTION_DIRECTION			,/*CXT_BOOL (True for originator calls, False for Answer calls)  */
 /*120*/	CSDIAG_CID_SETTING					,/*DWORD. (0 - Disabled, 1 - Enabled, string format, 2 - Enabled, binary format) */
 		CSDIAG_MOH_METHOD					,/*MOH_METHOD */
-		CSDIAG_OGC_ENABLED					,/*BOOL (0 - Disabled,1 - Enabled) */
-		CSDIAG_HANDSET_EXCLUSIVE_BIT		,/*BOOL (0 - not handset exclusive,1 - is handset exclusive) */
+		CSDIAG_OGC_ENABLED					,/*CXT_BOOL (0 - Disabled,1 - Enabled) */
+		CSDIAG_HANDSET_EXCLUSIVE_BIT		,/*CXT_BOOL (0 - not handset exclusive,1 - is handset exclusive) */
         CSDIAG_APP_V92_AWARE                ,/*App indicated V.92 support in init sequence, RMY 060302 */
 
 /*Lasso Test temporary range */
@@ -265,20 +265,20 @@
 /* For Modem Control only */
 typedef enum 
 {
-/*0*/	CSDIAG_CTRL_MOH_ENABLE,						/*			IN: BOOL				None */
+/*0*/	CSDIAG_CTRL_MOH_ENABLE,						/*			IN: CXT_BOOL				None */
 		CSDIAG_CTRL_CW_DETECTED,					/*			IN: CW_FAKE_MOH_T		NONE */
 		CSDIAG_CTRL_MOH_LOCAL_DECISION,				/*			IN: MOH_LOCAL_DECISION_T */
 		CSDIAG_CTRL_QC_PROFILE_FLUSH,				/*			TBD */
 		CSDIAG_CTRL_QC_PROFILE_LOAD,				/*			TBD */
 /*5*/	CSDIAG_CTRL_QC_PROFILE_DELETION,			/*			NONE				 */
-		CSDIAG_CTRL_QC_PROFILE_WRITE,				/*			IN: BOOL: ENABLE OR DISABLE WRITING */
+		CSDIAG_CTRL_QC_PROFILE_WRITE,				/*			IN: CXT_BOOL: ENABLE OR DISABLE WRITING */
 		CSDIAG_CTRL_OUTGOING_CALL_REQ,				/*			NONE */
-		CSDIAG_CTRL_UPSTREAM_ENABLE,				/*			IN: BOOL				None */
-		CSDIAG_CTRL_QC_DISABLE,						/*			IN: BOOL  1 to disable, 0 to enable */
+		CSDIAG_CTRL_UPSTREAM_ENABLE,				/*			IN: CXT_BOOL				None */
+		CSDIAG_CTRL_QC_DISABLE,						/*			IN: CXT_BOOL  1 to disable, 0 to enable */
 /*10*/	CSDIAG_CTRL_MOH_LOCAL_TIMEOUT,				/*			IN: DWORD  1-13 */
 		CSDIAG_CTRL_MOH_CW_SETTINGS,				/*			IN: CW_SET_T */
 		CSDIAG_CTRL_V44_COMPRESSION_MODE,			/*			IN: DWORD 0-3 */
-		CSDIAG_CTRL_V44_COMPRESSION_NEGOTIATION,	/*			IN: BOOL 0-1 */
+		CSDIAG_CTRL_V44_COMPRESSION_NEGOTIATION,	/*			IN: CXT_BOOL 0-1 */
 		CSDIAG_CTRL_V44_CAPABILITY,					/*			IN: DWORD 0-2 */
 /*15*/	CSDIAG_CTRL_V44_TX_DICTIONARY_SIZE,			/*			IN: DWORD 256-65536 */
 		CSDIAG_CTRL_V44_RX_DICTIONARY_SIZE,			/*			IN: DWORD 256-65536 */
@@ -289,32 +289,32 @@
 
 		/* send in band AT command for ACF only */
 		CSDIAG_CTRL_ACF_SEND_IN_BAND_AT_CMD,  /* send usual string but without 'AT' or <cr> */
-		CSDIAG_CTRL_SET_CID,						/*			IN: BOOL (1 - Enable, 0 - Disable) */
+		CSDIAG_CTRL_SET_CID,						/*			IN: CXT_BOOL (1 - Enable, 0 - Disable) */
  		CSDIAG_CTRL_MOH_SET_METHOD,					/*			IN: MOH_METHOD */
  		CSDIAG_CTRL_DBG_PRINT,						/*			IN: string */
 		
 		/*Lasso Test temporary range */
-/*10000*/CSDIAG_CTRL_OSCILATOR_SET=TMP_LASSO_TESTS_RANGE, /*		IN: BOOL 1 to start, 0 to stop */
+/*10000*/CSDIAG_CTRL_OSCILATOR_SET=TMP_LASSO_TESTS_RANGE, /*		IN: CXT_BOOL 1 to start, 0 to stop */
 		CSDIAG_CTRL_SET_GPIO,						/*			IN: DIAG_GET_SET_GPIO_T */
 		/*W.O.R. Test */
 		CSDIAG_CTRL_SET_POWER_TYPE,					/*			IN: DIAG_POWER_TYPE  */
-		CSDIAG_CTRL_ARM_FOR_WAKE,					/*			IN: BOOL (1 - Arm, 0 - Disarm) */
+		CSDIAG_CTRL_ARM_FOR_WAKE,					/*			IN: CXT_BOOL (1 - Arm, 0 - Disarm) */
 		CSDIAG_CTRL_CLEAR_PME,						/*			NONE */
 		/*Codec LoopBack */
-		CSDIAG_CTRL_START_ANALOG_LOOPBACK,			/*			IN: BOOL	(1 - Start, 0 - Stop)	- RKCTRL */
-		CSDIAG_CTRL_BUS_IF_SET_DATA_TRANSFER,		/*			IN: BOOL	(1 - Start, 0 - Stop) */
+		CSDIAG_CTRL_START_ANALOG_LOOPBACK,			/*			IN: CXT_BOOL	(1 - Start, 0 - Stop)	- RKCTRL */
+		CSDIAG_CTRL_BUS_IF_SET_DATA_TRANSFER,		/*			IN: CXT_BOOL	(1 - Start, 0 - Stop) */
 		CSDIAG_CTRL_TRANSMIT_DATA,					/*			IN: BYTE* (data stream) //Analog LoopBack */
 		/*Tone Loopback */
-		CSDIAG_CTRL_SINGLE_TONE_GENERATE,			/*			IN: TONE_GENERATOR_TEST_T (BOOL to start/stop, tone description) // */
+		CSDIAG_CTRL_SINGLE_TONE_GENERATE,			/*			IN: TONE_GENERATOR_TEST_T (CXT_BOOL to start/stop, tone description) // */
 		CSDIAG_CTRL_SINGLE_TONE_DETECT,				/*			IN:	DWORD timeout			TONE_DETECTOR_TEST_T (tone type, timeout) //Result will be notified by callback CSDIAG_TRAP_TONE_DETECTED */
 		CSDIAG_CTRL_DTMF_TONE_GENERATE,				/*			IN: DPDIALDIGITS */
-		CSDIAG_CTRL_DTMF_TONE_DETECT,				/*			IN: BOOL (1 - Start, 0 - Stop); */
-		CSDIAG_CTRL_START_RING_DETECTOR,			/*          IN: BOOL (1- start, 0 - stop) */
+		CSDIAG_CTRL_DTMF_TONE_DETECT,				/*			IN: CXT_BOOL (1 - Start, 0 - Stop); */
+		CSDIAG_CTRL_START_RING_DETECTOR,			/*          IN: CXT_BOOL (1- start, 0 - stop) */
  
 		CSDIAG_CTRL_GO_OFF_HOOK,					/*			NONE */
 		CSDIAG_CTRL_GO_ON_HOOK,						/*			NONE */
  
-		CSDIAG_CTRL_V34_CONNECTION,					/*			IN: BOOL (1- start, 0 - stop) */
+		CSDIAG_CTRL_V34_CONNECTION,					/*			IN: CXT_BOOL (1- start, 0 - stop) */
 		CSDIAG_CTRL_OVP_DETECTION,					/*			IN: DWORD (timeout) */
 		CSDIAG_CTRL_CID_DETECTION,					/*			IN: DWORD (timeout) */
 		/* A BLAM code. Keep it here for compatibility. */
@@ -337,12 +337,12 @@
 
  
 	CSDIAG_TRAP_SINGLE_TONE_DETECTED = TMP_LASSO_TESTS_RANGE,	/*DIAG_SINGLE_TONE_DETECTOR_RESULT */
-	CSDIAG_TRAP_DTMF_GENERATOR_RESULT,							/*BOOL */
+	CSDIAG_TRAP_DTMF_GENERATOR_RESULT,							/*CXT_BOOL */
 	CSDIAG_TRAP_DTMF_DETECTOR_RESULT,							/*DIAG_DTMF_DETECTOR_RESULT  */
 	CSDIAG_TRAP_RING_DETECTOR_RESULT,							/*RING_DET_PARAMS (0 - Timed Out, 1 - Detected) */
 	CSDIAG_TRAP_RECIEVE_DATA,									/*byte * stream */
-	CSDIAG_TRAP_OVP_DETECTED,									/*BOOL (0 - Timed Out, 1 - Detected) */
-	CSDIAG_TRAP_RLSD_DETECTED,									/*BOOL (0 - Timed Out, 1 - Detected) */
+	CSDIAG_TRAP_OVP_DETECTED,									/*CXT_BOOL (0 - Timed Out, 1 - Detected) */
+	CSDIAG_TRAP_RLSD_DETECTED,									/*CXT_BOOL (0 - Timed Out, 1 - Detected) */
  
 	CSDIAG_TRAP_LAST,
 }CNXT_DIAG_TRAP_CODES, *PCNXT_DIAG_TRAP_CODES;
@@ -355,20 +355,20 @@
 		CSDIAG_CFG_BIT_RATE_TX_MAX,					/*			INT - Bit Rate		None */
 		CSDIAG_CFG_BIT_RATE_RX_MIN,					/*			INT - Bit Rate		None */
 		CSDIAG_CFG_BIT_RATE_TX_MIN,					/*			INT - Bit Rate		None */
-/*5*/	CSDIAG_CFG_AUTOMODE_ENABLE,					/*			BOOL - 1/0			None */
+/*5*/	CSDIAG_CFG_AUTOMODE_ENABLE,					/*			CXT_BOOL - 1/0			None */
 		/*QC configs	 */
 		CSDIAG_CFG_QC_PROFILE_DELETION,				/*			NONE				 */
-		CSDIAG_CFG_QC_PROFILE_WRITE,				/*			BOOL: ENABLE OR DISABLE WRITING */
-		CSDIAG_CFG_QC_DISABLE,						/*			BOOL  1 to disable, 0 to enable */
+		CSDIAG_CFG_QC_PROFILE_WRITE,				/*			CXT_BOOL: ENABLE OR DISABLE WRITING */
+		CSDIAG_CFG_QC_DISABLE,						/*			CXT_BOOL  1 to disable, 0 to enable */
 		/*Upstream configs */
-		CSDIAG_CFG_UPSTREAM_ENABLE,					/*			BOOL				None */
+		CSDIAG_CFG_UPSTREAM_ENABLE,					/*			CXT_BOOL				None */
 		/*Moh Configs */
-/*10*/	CSDIAG_CFG_MOH_ENABLE,						/*			IN: BOOL				None */
+/*10*/	CSDIAG_CFG_MOH_ENABLE,						/*			IN: CXT_BOOL				None */
 		CSDIAG_CFG_MOH_LOCAL_TIMEOUT,				/*			DWORD  1-13 */
 		CSDIAG_CFG_MOH_CW_SETTINGS,					/*			CW_SET_T */
 		/*ds44 params */
 		CSDIAG_CFG_V44_COMPRESSION_MODE,			/*			DWORD 0-3 */
-		CSDIAG_CFG_V44_COMPRESSION_NEGOTIATION,		/*			BOOL 0-1 */
+		CSDIAG_CFG_V44_COMPRESSION_NEGOTIATION,		/*			CXT_BOOL 0-1 */
 /*15*/	CSDIAG_CFG_V44_CAPABILITY,					/*			DWORD 0-2 */
 		CSDIAG_CFG_V44_TX_DICTIONARY_SIZE,			/*			DWORD 256-65536 */
 		CSDIAG_CFG_V44_RX_DICTIONARY_SIZE,			/*			DWORD 256-65536 */
diff -U3 -r hsfmodem-old/modules/imported/include/codesdeps.h hsfmodem/modules/imported/include/codesdeps.h
--- hsfmodem-old/modules/imported/include/codesdeps.h	2006-02-07 16:43:56.000000000 +0000
+++ hsfmodem/modules/imported/include/codesdeps.h	2006-02-12 08:04:01.000000000 +0000
@@ -521,13 +521,13 @@
 	WORD	amplitude2;
 	DWORD	OnTime;
 	DWORD	OffTime;
-    BOOL	bRepeatedTone;
+    CXT_BOOL	bRepeatedTone;
 } TONEGEN, *PTONEGEN;
  
 typedef struct
 {
 	TONEGEN  ToneGenParams;
-	BOOL     StartGenerating; /* TRUE to START, FALSE to STOP */
+	CXT_BOOL     StartGenerating; /* TRUE to START, FALSE to STOP */
 }TONE_GENERATOR_TEST_T;
  
  
@@ -553,13 +553,13 @@
  
 typedef struct 
 {
-	BOOL		 result;
+	CXT_BOOL		 result;
 	DPDIALDIGITS dtmf;
 }DIAG_DTMF_DETECTOR_RESULT;
  
 typedef struct 
 {
-	BOOL		     result;
+	CXT_BOOL		     result;
 	eTONEDETECT_TYPE tone;
 }DIAG_SINGLE_TONE_DETECTOR_RESULT;
  
@@ -597,7 +597,7 @@
 {
 	DWORD StartAddress;
 	DWORD Length; /* in bytes (not supported!) */
-	BOOL  AddressType; /* 0 - memory, 1-IO */
+	CXT_BOOL  AddressType; /* 0 - memory, 1-IO */
 }DIAG_ADDRESS_SPACE_INFO_T;
  
 typedef struct
diff -U3 -r hsfmodem-old/modules/imported/include/comctrl_ex.h hsfmodem/modules/imported/include/comctrl_ex.h
--- hsfmodem-old/modules/imported/include/comctrl_ex.h	2006-02-07 16:43:56.000000000 +0000
+++ hsfmodem/modules/imported/include/comctrl_ex.h	2006-02-12 08:08:34.000000000 +0000
@@ -115,7 +115,7 @@
 */
 typedef enum 
 {
-    COMCTRL_MONITOR_STATUS,             /* [out] UINT32 - combination of status bits STS_XXX */
+    COMCTRL_MONITOR_STATUS,             /* [out] CXT_UINT32 - combination of status bits STS_XXX */
     COMCTRL_MONITOR_DEVICEID,           /* Device Node */
 
     COMCTRL_MONITOR_TXSIZE,
@@ -127,7 +127,7 @@
     COMCTRL_MONITOR_RXFREE,
 
 	COMCTRL_MONITOR_PORTNAME,
-	COMCTRL_MONITOR_MOH,				/* [out] UINT32 - connection supports MOH */
+	COMCTRL_MONITOR_MOH,				/* [out] CXT_UINT32 - connection supports MOH */
 /*#$YS$ */
 	COMCTRL_MONITOR_SYSINST,
 #ifdef COMCTRL_MONITOR_POUND_UG_SUPPORT
@@ -210,9 +210,9 @@
 */
 typedef struct tagPORT_CONFIG
 {
-    UINT32          dwValidFileds;  /* Combination of PortConfiguration bits*/
+    CXT_UINT32          dwValidFileds;  /* Combination of PortConfiguration bits*/
 
-    UINT32          dwDteSpeed;
+    CXT_UINT32          dwDteSpeed;
 
     enum
     {
@@ -229,12 +229,12 @@
         PC_DATABITS_8
     }               eDataBits;      /* Data bits - only 7 and 8 are enabled*/
 
-    BOOL            fXOutput;       /* Xoff/Xon enabled for output*/
-    BOOL            fXInput;        /* Xoff/Xon enabled for input*/
-    BOOL            fError;         /* Replace chars with parity error by ErrorChar*/
-    BOOL            fNull;          /* Skip NULL characters*/
-    BOOL            fCTS;           /* Use CTS for Tx flow control*/
-    BOOL            fRTS;           /* Use RTS for Rx flow control*/
+    CXT_BOOL            fXOutput;       /* Xoff/Xon enabled for output*/
+    CXT_BOOL            fXInput;        /* Xoff/Xon enabled for input*/
+    CXT_BOOL            fError;         /* Replace chars with parity error by ErrorChar*/
+    CXT_BOOL            fNull;          /* Skip NULL characters*/
+    CXT_BOOL            fCTS;           /* Use CTS for Tx flow control*/
+    CXT_BOOL            fRTS;           /* Use RTS for Rx flow control*/
 
     char            cXonChar;
     char            cXoffChar;
@@ -249,7 +249,7 @@
 */
 typedef struct tagPORT_EVENT_HANDLER
 {
-    void    (*pfnCallback) (PVOID pRef, UINT32 dwEventMask) __shimcall__;
+    void    (*pfnCallback) (PVOID pRef, CXT_UINT32 dwEventMask) __shimcall__;
     PVOID   pRef;
 
 } PORT_EVENT_HANDLER, *PPORT_EVENT_HANDLER;
@@ -259,7 +259,7 @@
 */
 typedef struct tagPORT_MONITOR_DATA
 {
-	UINT32	dwSize;
+	CXT_UINT32	dwSize;
     PVOID   pBuf;
 
 } PORT_MONITOR_DATA, *PPORT_MONITOR_DATA;
@@ -309,7 +309,7 @@
 #define COMCTRL_MAX_PORT_NAME_LENGTH	256
 
 /* Direct API */
-__shimcall__ UINT32       ComCtrl_GetInterfaceVersion  (void);
+__shimcall__ CXT_UINT32       ComCtrl_GetInterfaceVersion  (void);
 __shimcall__ HANDLE       ComCtrl_Create               (void);            
 __shimcall__ COM_STATUS   ComCtrl_Destroy              (HANDLE hInst);
 __shimcall__ COM_STATUS   ComCtrl_Open                 (HANDLE hInst);
@@ -317,8 +317,8 @@
 __shimcall__ COM_STATUS   ComCtrl_Configure            (HANDLE hInst, COMCTRL_CONFIG_CODE  eCode,  PVOID pConfig);
 __shimcall__ COM_STATUS   ComCtrl_Monitor              (HANDLE hInst, COMCTRL_MONITOR_CODE eCode, PVOID pMonitor);
 __shimcall__ COM_STATUS   ComCtrl_Control              (HANDLE hInst, COMCTRL_CONTROL_CODE eCode, PVOID pControl);
-__shimcall__ UINT32       ComCtrl_Read                 (HANDLE hInst, PVOID pBuf, UINT32 dwSize);
-__shimcall__ UINT32       ComCtrl_Write                (HANDLE hInst, PVOID pBuf, UINT32 dwSize);
+__shimcall__ CXT_UINT32       ComCtrl_Read                 (HANDLE hInst, PVOID pBuf, CXT_UINT32 dwSize);
+__shimcall__ CXT_UINT32       ComCtrl_Write                (HANDLE hInst, PVOID pBuf, CXT_UINT32 dwSize);
 
 
 /* Interface through function table */
@@ -327,7 +327,7 @@
 {
     /************ Common Interface functions. ************/
 
-    UINT32      (*GetInterfaceVersion)  (void);
+    CXT_UINT32      (*GetInterfaceVersion)  (void);
     HANDLE      (*Create)               (void);
     COM_STATUS  (*Destroy)              (HANDLE hInst);
     COM_STATUS  (*Open)                 (HANDLE hInst);
@@ -338,8 +338,8 @@
 
     /************ Specific Interface functions. ************/
 
-    UINT32      (*Read)   (HANDLE hInst, PVOID pBuf, UINT32 dwSize);
-    UINT32      (*Write)  (HANDLE hInst, PVOID pBuf, UINT32 dwSize);
+    CXT_UINT32      (*Read)   (HANDLE hInst, PVOID pBuf, CXT_UINT32 dwSize);
+    CXT_UINT32      (*Write)  (HANDLE hInst, PVOID pBuf, CXT_UINT32 dwSize);
 
 } I_COM_CTRL_MGR_T, *PI_COM_CTRL_T;
 
diff -U3 -r hsfmodem-old/modules/imported/include/comtypes.h hsfmodem/modules/imported/include/comtypes.h
--- hsfmodem-old/modules/imported/include/comtypes.h	2006-02-07 16:43:56.000000000 +0000
+++ hsfmodem/modules/imported/include/comtypes.h	2006-02-12 08:04:03.000000000 +0000
@@ -106,7 +106,7 @@
 								PVOID /* pRefData */);	
 typedef __shimcall__ void (*PFREE_FUNC)(		PVOID /* Block Pointer */,
 								PVOID /* pRefData */);		
-typedef BOOL  ( __stdcall *PISR)(PVOID);
+typedef CXT_BOOL  ( __stdcall *PISR)(PVOID);
 
 /***********************************************************/
 
diff -U3 -r hsfmodem-old/modules/imported/include/configcodes.h hsfmodem/modules/imported/include/configcodes.h
--- hsfmodem-old/modules/imported/include/configcodes.h	2006-02-07 16:43:56.000000000 +0000
+++ hsfmodem/modules/imported/include/configcodes.h	2006-02-12 08:04:02.000000000 +0000
@@ -103,14 +103,14 @@
     CFGMGR_CADENCE_PARAMS,                          /* CADENCE_CFG * - params of the cadence */
 
     /* AT-parser to LMON */
-    CFGMGR_FORCE_RENEG_UP,                          /* UINT8            */
-    CFGMGR_FORCE_RENEG_DOWN,                        /* UINT8            */
+    CFGMGR_FORCE_RENEG_UP,                          /* CXT_UINT8            */
+    CFGMGR_FORCE_RENEG_DOWN,                        /* CXT_UINT8            */
 /*#$YS$ */
 #if !defined NO_V34FAX_SUPPORT
-    CFGMGR_V34FAX_ENABLED,                          /* UINT8            */
+    CFGMGR_V34FAX_ENABLED,                          /* CXT_UINT8            */
 #endif
 
-    /* S-Registers  - UINT8 */
+    /* S-Registers  - CXT_UINT8 */
 	CFGMGR_SREG,									/* S0 */
 	CFGMGR_NRINGS_TO_ANSWER     = CFGMGR_SREG+0,	/* Number of rings before modem answers the call */
 	CFGMGR_RING_COUNTER         = CFGMGR_SREG+1,    /* Number of rings detected */
@@ -177,20 +177,20 @@
     CFGMGR_ATMESSAGE_I12,
 
     /* DTE configuration    */
-    CFGMGR_DTE_ECHO,                    /* UINT8            */
+    CFGMGR_DTE_ECHO,                    /* CXT_UINT8            */
     CFGMGR_DTE_CONFIG,                  /* DTE_USER_CONFIG  */
 
     CFGMGR_SYNC_MODE,                   /* AT&Q             */
 
-    CFGMGR_RLSD_BEHAVIOR,               /* UINT8            */
-    CFGMGR_DTR_BEHAVIOR,                /* UINT8            */
+    CFGMGR_RLSD_BEHAVIOR,               /* CXT_UINT8            */
+    CFGMGR_DTR_BEHAVIOR,                /* CXT_UINT8            */
 
     /* Speaker Control */
-    CFGMGR_SPEAKER_VOLUME,              /* UINT8            */
-    CFGMGR_SPEAKER_CONTROL,             /* UINT8            */
+    CFGMGR_SPEAKER_VOLUME,              /* CXT_UINT8            */
+    CFGMGR_SPEAKER_CONTROL,             /* CXT_UINT8            */
 
     /* Pulse Dial Make/Break Ratio */
-    CFGMGR_PULSE_MAKE_BREAK,            /* UINT8            */
+    CFGMGR_PULSE_MAKE_BREAK,            /* CXT_UINT8            */
 
     /* Ring burst frequencies */
     CFGMGR_IMMEDIATE_RING_DETECTED,     /* immediate ring used in French CID */
@@ -203,7 +203,7 @@
     CFGMGR_DTMF_GENERATOR,              /* PDTMF_GEN_PARAMS         */
 
     /* Modulation Report                                            */
-    CFGMGR_MODULATION_REPORT,           /* UINT8                    */
+    CFGMGR_MODULATION_REPORT,           /* CXT_UINT8                    */
 
     /* to replace STATUS_CP_CARRIER */
     CFGMGR_MODULATION_INFO,
@@ -221,14 +221,14 @@
     CFGMGR_FAX_CALL_TONE_CADENCE,
 
     /* FAX Service Class 1 Configuration Values                     */
-    CFGMGR_FAX_AUTO_ANSWER,             /* UINT8                    */
+    CFGMGR_FAX_AUTO_ANSWER,             /* CXT_UINT8                    */
 
     /*  OEM flags                                                   */
     CFGMGR_OEM_FLAGS,                   /* OEMFlagStructure         */
 	CFGMGR_OEM_FLAGS2,					/* OEMFlag2Structure        */
     CFGMGR_OEM_FILTERS,                 /* OEMFilterStructure       */
-    CFGMGR_OEM_SPKR_MUTE_DELAY,         /* UINT16 SpkrMuteDelay     */
-	CFGMGR_OEM_READ_MASK,				/* UINT16 OEMReadMask       */
+    CFGMGR_OEM_SPKR_MUTE_DELAY,         /* CXT_UINT16 SpkrMuteDelay     */
+	CFGMGR_OEM_READ_MASK,				/* CXT_UINT16 OEMReadMask       */
     CFGMGR_OEM_THRESHOLD,				/* OEMThresholdStruct       */
 
     CFGMGR_COUNTRY_CODE,                /* current country code     */
@@ -282,7 +282,7 @@
 #if !defined NO_POUNDUG_SUPPORT
     CFGMGR_POUND_UD,                    /* #UD/#UG structure        */
 #endif
-    CFGMGR_ATPARSER_ONLINE,              /* UINT8                   */
+    CFGMGR_ATPARSER_ONLINE,              /* CXT_UINT8                   */
 #if !defined NO_BL_SUPPORT
     CFGMGR_BLACK_LIST,                  /*  Black List structure    */
 #endif
@@ -329,7 +329,7 @@
 	CFGMGR_TONE_GEN_CI,						/* TONEGEN_PARAMS*				*/
  
     /** HW - buffer switch delay. **/
-    CFGMGR_BUFFERS_DELAY,                   /* UINT16*. */
+    CFGMGR_BUFFERS_DELAY,                   /* CXT_UINT16*. */
    	CFGMGR_PCI_DEVICE_ID,	/*(414) */
 	CFGMGR_PCI_VENDOR_ID,
  
@@ -350,13 +350,13 @@
 	CFGMGR_CTRY_CADENCE          ,    /* CntryCadenceStructure          */
 	CFGMGR_CTRY_CALLERID         ,    /* CntryCallerIDStructure         */ 
  
-	CFGMGR_HSFI_TYPE         ,    /* BOOL (TRUE for SmartHSFi, FALSE for HSFi)         */ 
+	CFGMGR_HSFI_TYPE         ,    /* CXT_BOOL (TRUE for SmartHSFi, FALSE for HSFi)         */ 
 	/************************************************/
     /************Common configuration codes *********/
     /************************************************/
 	
 
-    CFGMGR_CENTERAL_SITE,						    /* BOOL - TRUE - for sentral site emulation */
+    CFGMGR_CENTERAL_SITE,						    /* CXT_BOOL - TRUE - for sentral site emulation */
 	CFGMGR_RXSAMPLES_OUT_FILENAME,					/* char[CFGMGR_MAX_FILENAME] File name for dumping RxSamples			*/
 	CFGMGR_TXSAMPLES_OUT_FILENAME,					/* char[CFGMGR_MAX_FILENAME] File name for dumping TxSamples			*/
 	CFGMGR_RXLEN_OUT_FILENAME,					    /* char[CFGMGR_MAX_FILENAME]File name for dumping Rx Length			*/
